[node-patches] Change in ovirt-node[master]: build: Add check-python26-compat

fabiand at fedoraproject.org fabiand at fedoraproject.org
Thu Apr 4 15:28:37 UTC 2013


Fabian Deutsch has uploaded a new change for review.

Change subject: build: Add check-python26-compat
......................................................................

build: Add check-python26-compat

A check-python26-compat target is added to the new TUIs codebase
Makefile to check the source files for python-2.6 compatability.

python-2.6 is currently used on RHEL6 and CentOS.

Change-Id: Ib2c69079f1135961200225215c9ea944688f8607
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
M scripts/tui/src/Makefile
1 file changed, 7 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/19/13619/1

diff --git a/scripts/tui/src/Makefile b/scripts/tui/src/Makefile
index 1761603..6da336b 100644
--- a/scripts/tui/src/Makefile
+++ b/scripts/tui/src/Makefile
@@ -40,5 +40,12 @@
 		PYTHONPATH=. pyflakes $$M || exit 1; \
 	done
 
+check-python26-compat:
+	@for M in $(PYTHONSOURCES); \
+	do \
+		echo Checking python26 syntax compatability on "$$M"; \
+		PYTHONPATH=. python26 -m py_compile $$M || exit 1; \
+	done
+
 clean:
 	-rm $(CLEANFILES)


--
To view, visit http://gerrit.ovirt.org/13619
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ib2c69079f1135961200225215c9ea944688f8607
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Fabian Deutsch <fabiand at fedoraproject.org>



More information about the node-patches mailing list